IMultiImageSource (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.image.IMultiImageSource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.image
Interface IMultiImageSource

All Known Subinterfaces:
  IMMPBitmap

    public interface IMultiImageSource

This interface represents a set of image sources that are built together into a single output. This acts as a modifiable container for such images, and also provides synthesized build-time information.

Method Summary
`boolean` | `canSetGeneratedHeaderFilePath()` Tell whether the generated header can be set.
`IMultiImageSource` | `copy()` Deep copy the contents into a new multi-image source.
`IBitmapSource` | `createBitmapSource()` Create (doesn't add) a new BMP image source.
`ISVGSource` | `createSVGSource()` Create (doesn't add) a new SVG image source.
`IImageSource` | `createUnknownImageSource()` Create (doesn't add) an unknown image source.
`IImageSource` | `findMatchingSource(IPath filePath)` Find an entry that matches the file.
`IPath` | `getDefaultGeneratedHeaderFilePath()` Get the generated EPOCROOT-relative header filepath, even if the current multi-image source will not generate a header
`IPath` | `getGeneratedHeaderFilePath()` Get the generated EPOCROOT-relative header filepath
`java.lang.String` | `getGeneratedImageEnumerator(IImageSource image)` Get the generated enumerator for the bitmap, or null for none.
`java.lang.String` | `getGeneratedMaskEnumerator(IImageSource image)` Get the generated enumerator for the bitmap, or null for none.
`EGeneratedHeaderFlags` | `getHeaderFlags()` Get the header generation flag
`java.util.List<IImageSource>` | `getSources()` Get the bitmap sources, never null.
`java.lang.String` | `getTargetFile()` Get the target filename
`IPath` | `getTargetFilePath()` Get the synthesized full path to the target file.
`IPath` | `getTargetPath()` Get the target directory-relative path (without filename), e.g.
`boolean` | `hasDisallowedSources()` Tell whether the sources contain a disallowed file type.
`boolean` | `isBitmapSourceAllowed()` Tell whether the container allows BMP files.
`boolean` | `isSVGSourceAllowed()` Tell whether the container allows SVG files.
`boolean` | `isValid()` Tell if the container is valid, e.g. initialized: must have a target file.
`void` | `set(IMultiImageSource multiImageSource)` Set contents from another multi-image source.
`void` | `setGeneratedHeaderFilePath(IPath path)` Set the generated EPOCROOT-relative header (starting with epoc32), or full path or null.
`void` | `setHeaderFlags(EGeneratedHeaderFlags flag)` Set the header generation flag
`void` | `setSources(java.util.List<IImageSource> sources)` Set the bitmap sources, may not be null.
`void` | `setTargetFile(java.lang.String name)` Set the target filename source path
`void` | `setTargetPath(IPath path)` Get the target directory-relative path (without filename), e.g.

Method Detail

### isValid

    boolean isValid()

  Tell if the container is valid, e.g. initialized: must have a target file.

### copy

    IMultiImageSource copy()

  Deep copy the contents into a new multi-image source. Does not copy immutable objects, but copies the sources lists and its contained image sources.

### set

    void set(IMultiImageSource multiImageSource)

  Set contents from another multi-image source. This preserves the identity of the sources list, but nothing else.

  Parameters:
    `multiImageSource` -

### getTargetFilePath

    IPath getTargetFilePath()

  Get the synthesized full path to the target file. If it is a relative path, it's target directory-relative (e.g. "resource\\apps\\foo.mif"), else it's a full path on the local filesystem.

  Returns:
  See Also:
    `getTargetFile()`, `getTargetPath()`

### getTargetFile

    java.lang.String getTargetFile()

  Get the target filename

### setTargetFile

    void setTargetFile(java.lang.String name)

  Set the target filename source path

### getHeaderFlags

    EGeneratedHeaderFlags getHeaderFlags()

  Get the header generation flag

### setHeaderFlags

    void setHeaderFlags(EGeneratedHeaderFlags flag)

  Set the header generation flag

### getTargetPath

    IPath getTargetPath()

  Get the target directory-relative path (without filename), e.g. "system\\apps". If a full path, it is on the local filesystem.

### setTargetPath

    void setTargetPath(IPath path)

  Get the target directory-relative path (without filename), e.g. "system\\apps", or a full path on the local filesystem.

### getSources

    java.util.List<IImageSource> getSources()

  Get the bitmap sources, never null.

### setSources

    void setSources(java.util.List<IImageSource> sources)

  Set the bitmap sources, may not be null.

### hasDisallowedSources

    boolean hasDisallowedSources()

  Tell whether the sources contain a disallowed file type.

### isBitmapSourceAllowed

    boolean isBitmapSourceAllowed()

  Tell whether the container allows BMP files.

### isSVGSourceAllowed

    boolean isSVGSourceAllowed()

  Tell whether the container allows SVG files.

### createUnknownImageSource

    IImageSource createUnknownImageSource()

  Create (doesn't add) an unknown image source. These are always allowed.

### createBitmapSource

    IBitmapSource createBitmapSource()

  Create (doesn't add) a new BMP image source. Returns null if disallowed filetype.

### createSVGSource

    ISVGSource createSVGSource()

  Create (doesn't add) a new SVG image source. Returns null if disallowed filetype.

### getGeneratedHeaderFilePath

    IPath getGeneratedHeaderFilePath()

  Get the generated EPOCROOT-relative header filepath

  Returns:
    relative filepath (if starting with epoc32, EPOCROOT-relative), full path in filesystem, or null for no generated header

### canSetGeneratedHeaderFilePath

    boolean canSetGeneratedHeaderFilePath()

  Tell whether the generated header can be set.

### setGeneratedHeaderFilePath

    void setGeneratedHeaderFilePath(IPath path)

  Set the generated EPOCROOT-relative header (starting with epoc32), or full path or null. Forces #getHeaderFlags() to Header or NoHeader.

  Throws:
    `java.lang.UnsupportedOperationException` - if #canSetGeneratedHeaderFilePath() returns false

### getDefaultGeneratedHeaderFilePath

    IPath getDefaultGeneratedHeaderFilePath()

  Get the generated EPOCROOT-relative header filepath, even if the current multi-image source will not generate a header

  Returns:
    generated filepath (if starting with \\epoc32, EPOCROOT-relative)

### getGeneratedImageEnumerator

    java.lang.String getGeneratedImageEnumerator(IImageSource image)

  Get the generated enumerator for the bitmap, or null for none.

### getGeneratedMaskEnumerator

    java.lang.String getGeneratedMaskEnumerator(IImageSource image)

  Get the generated enumerator for the bitmap, or null for none.

### findMatchingSource

    IImageSource findMatchingSource(IPath filePath)

  Find an entry that matches the file. This is not an exact path match, but a case-insensitive match of the filename, which will match the entry as far as the programmer is concerned (i.e. the enums will be the same).

  Parameters:
    `filePath` -
  Returns:
    matching image source or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD